Skip to main content
Infrastructure/Collects
PUTInfrastructureSince 1.0SynchronousAuth Required

UpdatePlatformMetrics

Update a metrics collection configuration for the specified platform and metric.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform that owns the metric configuration

  • metricUuidStringRequired

    UUID of the specific metrics configuration to update

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

PUT/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}

/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}

Operation ID

UpdatePlatformMetrics

Permalink

Request Example

curl -X PUT '{host}/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history